### Name: Matrix-class
### Title: Virtual Class "Matrix" Class of Matrices
### Aliases: Matrix-class -,Matrix,missing-method +,Matrix,missing-method
###   \%*\%,Matrix,numeric-method \%*\%,numeric,Matrix-method
###   \%*\%,Matrix,Matrix-method cbind2,Matrix,Matrix-method
###   cbind2,Matrix,NULL-method cbind2,Matrix,missing-method
###   cbind2,NULL,Matrix-method rbind2,Matrix,Matrix-method
###   rbind2,Matrix,NULL-method rbind2,Matrix,missing-method
###   rbind2,NULL,Matrix-method crossprod,Matrix,numeric-method
###   crossprod,Matrix,ANY-method crossprod,Matrix,Matrix-method
###   crossprod,numeric,Matrix-method tcrossprod,ANY,Matrix-method
###   tcrossprod,Matrix,numeric-method tcrossprod,Matrix,ANY-method
###   tcrossprod,Matrix,Matrix-method tcrossprod,numeric,Matrix-method
###   chol,Matrix,ANY-method determinant,Matrix,ANY-method
###   diag,Matrix-method head,Matrix-method tail,Matrix-method
###   solve,Matrix,matrix-method solve,Matrix,missing-method
###   solve,Matrix,numeric-method dim,Matrix-method dimnames,Matrix-method
###   dimnames<-,Matrix,list-method show,Matrix-method
###   as.array,Matrix-method as.matrix,Matrix-method
###   as.vector,Matrix,missing-method as.numeric,Matrix-method
###   as.logical,Matrix-method t,Matrix-method unname,Matrix-method
###   coerce,Matrix,matrix-method coerce,matrix,Matrix-method
###   coerce,Matrix,denseMatrix-method coerce,Matrix,sparseMatrix-method
###   Ops,Matrix,Matrix-method Ops,Matrix,ANY-method Ops,ANY,Matrix-method
###   Ops,Matrix,matrix-method Ops,matrix,Matrix-method
###   crossprod,ANY,Matrix-method kronecker,ANY,Matrix-method
###   kronecker,Matrix,ANY-method
### Keywords: classes algebra

### ** Examples

slotNames("Matrix")

cl <- getClass("Matrix")
names(cl@subclasses) # more than 40 ..

showClass("Matrix")#> output with slots and all subclasses



